Bug 7609 - Wrong arguments to /usr/X11R6/lib/drv.d/PROGRAM
: Wrong arguments to /usr/X11R6/lib/drv.d/PROGRAM
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/x11setupdrv)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-08-08 18:41 by
Modified: 2006-03-07 10:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-08 18:41:50
Он вообще запускает программу вообще непонятно, как. 
# strace -fF x11setupdrv 2>&1| grep nvidia 
execve("/usr/X11R6/lib/drv.d/nvidia (null)", ["nvidia"], [/* 37 vars */]) = -1 
ENOENT (No such file or directory) 

P.S. У execl последний аргумент NULL
------- Comment #1 From 2005-08-08 18:44:58 -------
priority incremented.
------- Comment #2 From 2005-08-08 18:48:16 -------
fixed in 0.3-alt3 
------- Comment #3 From 2005-08-08 18:59:26 -------
Ничего там не исправлено.  
 
1. У execl последний аргумент NULL 
2. Других аргументов там вообще никаких не должно быть. 
------- Comment #4 From 2005-08-09 12:47:45 -------
fixed in 0.3-alt3 
------- Comment #5 From 2005-08-09 13:41:29 -------
(In reply to comment #4)   
> fixed in 0.3-alt3    
Неа, 2-я сборка 0.3-alt3 не исправлена :-)   
  
Не должна программа из  /usr/X11R6/lib/drv.d/ запускаться с аргументами.  
Ты чего-то мудришь. Зачем аргументы?  
  
P.S.  
3-я сборка 0.3-alt3 уже не прокатит ;-) 
 
------- Comment #6 From 2005-08-09 14:25:28 -------
> Зачем аргументы?  
у Райдера спроси, мне они не нужны 
------- Comment #7 From 2005-08-09 14:50:21 -------
(In reply to comment #6) 
> > Зачем аргументы?   
> у Райдера спроси, мне они не нужны  
Антон говорит, что не помнит. 
Кто-нибудь знает? 
------- Comment #8 From 2005-09-08 15:13:59 -------
я так понимаю что сейчас это уже исправлено ?
------- Comment #9 From 2005-09-08 15:23:41 -------
да. открыт лишь вопрос дожен ли x11setupdrv запускать что то с параметром или 
нет 
------- Comment #10 From 2005-09-08 15:45:27 -------
хотя он никому не мешает  
------- Comment #11 From 2005-09-08 16:18:29 -------
(In reply to comment #10) 
> хотя он никому не мешает   
Пока это параметр, наверное не мешает. Как только будет опция, сразу начнет. 
Опции делать пожалуйста не надо, чтоб не стандартизировать, а то будет бардак, 
как сейчас. 
Есть параметры и никто не знает, зачем. 
Только сейчас это пофиг, а когда станет опцией, перестанет работать.